/**
 * @file
 * Quadstat Misc JavaScript behaviors
 */

/* global Quadstat_Misc, Drupal, jQuery, document */
(function ($, Drupal, document, Quadstat_Misc) {

  'use strict';

  /**
   * Attaches behaviors for Quadstat Misc.
   */
  Drupal.behaviors.quadstat_misc = {
    attach: function (context, settings) {
       if ($('#edit-r').length) {
         var cm = $('#edit-r').get(0)
         var text = $('#edit-r').text();
         var editor = CodeMirror(function(node) { cm.parentNode.replaceChild(node, cm); }, { mode: 'r', value: text, readOnly: false, lineWrapping:true, lineNumbers: true });
      }
      if ($('#edit-field-operation-help-0-value').length) {
        var editor = CodeMirror.fromTextArea($('#edit-field-operation-help-0-value')[0], { mode: 'htmlmixed', lineNumbers: true});
      }
      if ($('.form-item-field-operation-help-0-value textarea.form-textarea').length && $('#edit-field-operation-help-0-value').length === 0) {
        var cm = $('.form-item-field-operation-help-0-value textarea.form-textarea').get(0)
        var text = $('.form-item-field-operation-help-0-value textarea.form-textarea').text();
        var editor = CodeMirror(function(node) { cm.parentNode.replaceChild(node, cm); }, { mode: 'htmlmixed', value: text, readOnly: false, lineWrapping:true, lineNumbers: true });
      }
      // Add CSS for selector currently not possible with CSS3 (:not) chained. Webform does not add classes for every element individually
      if($('body.path-webform').length && !$('body.path-admin').length) { 
        $('details').css('display', 'none');
      }
      if($('form#node-operation-form').length) {
        $('.view-filters').css('display', 'none');
      }

    }
  };
}(jQuery, Drupal, document));
